Skip to main content
GET
/
sinks
/
{id}
Get a sink
curl --request GET \
  --url https://api.demo.cula.earth/tracking/v1/sinks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cula-Organisation-Id: <cula-organisation-id>'
{
  "id": "snk_7RMH0MQ22YHDBMZF",
  "owner_organisation_id": "org_3NID6IM88UDZXIVB",
  "public_url": "https://hub.cula.earth/globe/sink?id=snk_7RMH0MQ22YHDBMZF",
  "tracked_gross_co2e_removal_in_kg": 6000.5,
  "tracked_net_co2e_removal_in_kg": 5874.3,
  "verified_net_co2e_removal_in_kg": 5874.3,
  "registry_reference": {
    "registry_type": "csi",
    "id": "1234",
    "url": "https://example.com?id=1234"
  },
  "confirmation_document_id": "doc_4YSOFPW99GNKJTML",
  "verified_at": "2025-10-10T00:00:00Z",
  "created_at": "2025-10-10T21:03:58Z",
  "material_application_tracking_step_id": "stp_9TNJAKR44BIFEOHG",
  "tracking_steps": [
    {
      "id": "stp_4OJE7JN99VEAYJWC",
      "previous_step_ids": [
        "xxx_2KFB4GK66SBXVGTC"
      ],
      "document_ids": [
        "xxx_2KFB4GK66SBXVGTC"
      ],
      "contribution_factor": 1,
      "created_at": "2025-10-10T21:03:58Z",
      "type": "delivery",
      "source_site_id": "ste_8SNI1NR33ZIECNAG",
      "target_site_id": "ste_3XRNEOV88FMJISLK",
      "transported_weight_in_kg": 2100,
      "transportation_distance_in_km": 42,
      "transported_material_amounts": [
        {
          "material_name": "EBC AgroBio",
          "weight_in_kg": 600
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

API ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01h2xcejqtf2nbrexx3vqjhp41"

Path Parameters

id
string
required
Example:

"snk_2KFB4GK66SBXVGTC"

Response

Sink with tracking steps

id
string
required
Example:

"snk_7RMH0MQ22YHDBMZF"

owner_organisation_id
string
required
Example:

"org_3NID6IM88UDZXIVB"

public_url
string<uri>
required

Public URL to view the sink on the Cula Carbon Hub.

Example:

"https://hub.cula.earth/globe/sink?id=snk_7RMH0MQ22YHDBMZF"

tracked_gross_co2e_removal_in_kg
number
required
Required range: x >= 0
Example:

6000.5

tracked_net_co2e_removal_in_kg
number
required
Required range: x >= 0
Example:

5874.3

verified_net_co2e_removal_in_kg
number | null
required
Required range: x >= 0
Example:

5874.3

registry_reference
object
required
confirmation_document_id
string | null
required
Example:

"doc_4YSOFPW99GNKJTML"

verified_at
string<date-time> | null
required

The day the removal was verified by the registry. Day-granular, so the time component is always midnight UTC.

Example:

"2025-10-10T00:00:00Z"

created_at
string<date-time>
required
Example:

"2025-10-10T21:03:58Z"

material_application_tracking_step_id
string
required
Example:

"stp_9TNJAKR44BIFEOHG"

tracking_steps
(Delivery · object | Material Creation · object | Material Processing · object | Material Application · object)[]
required